<div ng-controller="ProductsController">
	<div class="row">
		<!-- Side bar -->
		<div class="col-xs-2">
			<!-- Filter box -->
			<div class="row">
				<div class="col-xs-12">
					<input class="col-xs-12" type="text" id="filterBox" ng-model="filter_name" placeholder="Filter Results...">
				</div>
			</div>
			<!-- Filter by category -->
			<div class="row">
				<div class="col-xs-12">
					<h4>Ver productos por categoria:</h4>
					<ul>
						<li><input type="radio" ng-model="filter_name" name="accessory" value="Accessory"> Accesorios</li>
						<li><input type="radio" ng-model="filter_name" name="shirt" value="Shirt"> Camisa/Abrigo</li>
						<li><input type="radio" ng-model="filter_name" name="pant" value="Pant"> Pantalones</li>
						<li><input type="radio" ng-model="filter_name" name="shoe" value="Shoe"> Zapatos</li>
					</ul>
				</div>
			</div>

			<div class="row">
				<div class="col-xs-10 col-xs-offset-1 base-line">
				</div>
			</div>

			<!-- Form to add new product -->
			<!-- Form validation done on front end -->
			<div class="row">
				<div class="col-xs-12">
					<h4 class="margin-top">Agregar nuevo producto</h4>
					<p class="text-danger">{{errormsg}}</p>
					<form name="form" novalidate>
						<div class="form-group">
							<label for="name">Nombre del Producto:</label>
							<input type="text" class="form-control" id="name" name="name" ng-model="new_product.name" required="">
							<div ng-show="form.$submitted || form.name.$touched">
								<div ng-show="form.name.$error.required" class="text-danger">Se requiere nombre del producto</div>
							</div>
						</div>
						<div class="form-group">
							<label for="category">Categoría:</label>
							<select class="form-control" id="category" name="category" ng-model="new_product.category" required="">
								<option value="accessory">Accesorios</option>
								<option value="shirt">Camisa/ Abrigo</option>
								<option value="pant">Pantalones</option>
								<option value="shoe">Zapatos</option>
							</select>
							<div ng-show="form.$submitted || form.category.$touched">
								<div ng-show="form.category.$error.required" class="text-danger">Se requiere categoría de producto</div>
							</div>
						</div>
						<div class="form-group">
							<label for="image">Imagen <small>(URL; de preferencia enviar una imagen de 300x300 px)</small>:</label>
							<input type="text" class="form-control" id="image" ng-model="new_product.url" name="image" required="">
							<div ng-show="form.$submitted || form.image.$touched">
								<div ng-show="form.image.$error.required" class="text-danger">Imagen del producto requerida</div>
							</div>
						</div>
						<div class="form-group">
							<label for="quantity">Cantidad:</label>
							<input type="number" min="0" class="form-control" id="quantity" ng-model="new_product.quantity" name="quantity" required="">
							<div ng-show="form.$submitted || form.quantity.$touched">
								<div ng-show="form.quantity.$error.required" class="text-danger">Cantidad es requerida</div>
							</div>
						</div>
						<input type="submit" value="Create" class="btn btn-primary" ng-disabled="form.$invalid" ng-click="addproduct(form)">
					</form>
				</div>
			</div>
		</div>
	

		<!-- Content -->
		<div class="col-xs-10">
			<!-- Product images-->
			<div class="row">
				<div class="col-xs-12">
					<!-- Each product box -->
					<div class="image_box" ng-repeat="product in products | filter:filter_name | orderBy: 'name'">
						<a href="#/product/{{product._id}}">
							<img src="{{product.url}}" alt="{{product.name}}">
							<h5 class="text-center" ng-bind="product.name"></h5>
						</a>
						<p class="text-center">( {{product.quantity}} left )</p>
					</div>
				</div>
			</div>
		</div>

	</div>
</div>